Bug 517484 - System sudden shutdown when out of power
Summary: System sudden shutdown when out of power
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 10:24 UTC by Caspar Zhang
Modified: 2010-12-05 06:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:36:39 UTC


Attachments (Terms of Use)

Description Caspar Zhang 2009-08-14 10:24:48 UTC
Description of problem:

When nearly running out of power, System gave out a low battery warning and said to be hibernate soon, but it suddenly shutdown instead of hibernating.

Version-Release number of selected component (if applicable):

kernel-2.6.31-0.125.rc5.git2.fc12.i686

How reproducible:

Tested once and produced this bug. But I guess it's 100%

Steps to Reproduce:
1. use battery instead of AC adapter, keep system running
2. when out-of-power, see what happened.
3.
  
Actual results:

system sudden shutdown

Expected results:

system suspended or hibernated.

Additional info:

I can't send smolt message successfully, so I pasted it here.

Comment 1 Caspar Zhang 2009-08-14 10:25:29 UTC
	UUID: 556727e5-88c0-4780-b249-d16ec1e16795
	OS: Fedora release 11.91 (Rawhide)
	Default run level: 5
	Language: en_US.UTF-8
	Platform: i686
	BogoMIPS: 3727.82
	CPU Vendor: GenuineIntel
	CPU Model: Intel(R) Core(TM) Duo CPU      T2350  @ 1.86GHz
	CPU Stepping: 12
	CPU Family: 6
	CPU Model Num: 14
	Number of CPUs: 2
	CPU Speed: 1867
	System Memory: 1480
	System Swap: 2055
	Vendor: Dell Inc.
	System: MXC061
	Form factor: laptop
	Kernel: 2.6.31-0.125.rc5.git2.fc12.i686
	SELinux Enabled: 1
	SELinux Policy: targeted
	SELinux Enforce: Enforcing

		 Devices
		=================================
		(None:None:None:None) leds, Unknown, None, No Description
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
		(1507:1816:None:None) usb, usb-storage, OTHER, USB Mass Storage Interface
		(None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) mmc_host, Unknown, None, MMC/SD Host Adapter
		(None:None:None:None) pnp, i8042 aux, None, PS/2 Port for PS/2-style Mice
		(32902:10150:4136:472) pci, Unknown, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
		(32902:10146:4136:472) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
		(32902:10144:4136:472) pci, agpgart-intel, OTHER, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
		(None:None:None:None) rfkill, Unknown, None, dell-wifi wlan Killswitch
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) scsi, sd, None, SCSI Device
		(None:None:None:None) platform, Unknown, None, Platform Device (Fixed MDIO bus.0)
		(32902:16930:32902:4130) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
		(32902:9288:0:0) pci, Unknown, OTHER, 82801 Mobile PCI Bridge
		(None:None:None:None) net, Unknown, NETWORK, Networking Wireless Control Interface
		(4480:2130:4136:472) pci, Unknown, OTHER, xD-Picture Card Controller
		(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
		(None:None:None:None) serio, psmouse, None, i8042 AUX port
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(5348:5900:4136:472) pci, b44, NETWORK, BCM4401-B0 100Base-TX
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) power_supply, Unknown, None, DELL YG
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
		(4480:2115:4136:472) pci, ricoh-mmc, OTHER, R5C843 MMC Host Controller
		(None:None:None:None) net, Unknown, NETWORK, Loopback device Interface
		(1133:50459:None:None) usb, usbhid, OTHER, USB HID Interface
		(1133:50459:None:None) usb, usbhid, OTHER, USB HID Interface
		(4480:1426:4136:472) pci, Unknown, OTHER, R5C592 Memory Stick Bus Host Adapter
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) scsi, sr, None, SCSI Device
		(32902:10180:4136:472) pci, ata_piix, IDE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) power_supply, Unknown, None, Generic AC Adapter Device
		(None:None:None:None) platform, i8042, None, Platform Device (i8042)
		(None:None:None:None) platform, Unknown, None, Platform Device (pcspkr)
		(None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)
		(None:None:None:None) platform, dcdbas, None, Platform Device (dcdbas)
		(4480:2098:4136:472) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
		(32902:10198:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 4
		(32902:10192:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 1
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
		(32902:10194:0:0) pci, pcieport-driver, OTHER, 82801G (ICH7 Family) PCI Express Port 2
		(32902:10185:4136:472) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #2
		(None:None:None:None) net, Unknown, NETWORK, Networking Interface
		(None:None:None:None) input, Unknown, None, HDA Intel HP Out at Ext Left Jack
		(32902:10186:4136:472) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #3
		(32902:10202:4136:472) pci, i801_smbus, OTHER, 82801G (ICH7 Family) SMBus Controller
		(None:None:None:None) leds, Unknown, None, No Description
		(None:None:None:None) leds, Unknown, None, No Description
		(4480:2082:4136:472) pci, sdhci-pci, OTHER, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
		(None:None:None:None) ssb, Unknown, None, No Description
		(None:None:None:None) input, Unknown, None, Logitech USB Receiver
		(None:None:None:None) leds, Unknown, None, No Description
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
		(None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)
		(None:None:None:None) input, Unknown, None, Video Bus
		(32902:10188:4136:472) pci, ehci_hcd, USB, 82801G (ICH7 Family) USB2 EHCI Controller
		(32902:10187:4136:472) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #4
		(None:None:None:None) net, Unknown, NETWORK, WLAN Interface
		(None:None:None:None) input, Unknown, None, SynPS/2 Synaptics TouchPad
		(None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation
		(None:None:None:None) input, Unknown, None, Sleep Button
		(None:None:None:None) input, Unknown, None, Power Button
		(None:None:None:None) input, Unknown, None, Video Bus
		(None:None:None:None) firewire, Unknown, None, No Description
		(None:None:None:None) input, Unknown, None, Lid Switch
		(32902:10169:4136:472) pci, Unknown, OTHER, 82801GBM (ICH7-M) LPC Interface Bridge
		(None:None:None:None) rfkill, Unknown, None, phy0 wlan Killswitch
		(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
		(None:None:None:None) platform, Unknown, None, Platform Device (regulatory.0)
		(None:None:None:None) leds, Unknown, None, No Description
		(None:None:None:None) serio, atkbd, None, i8042 KBD port
		(None:None:None:None) backlight, Unknown, None, Generic Backlight Device
		(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
		(None:None:None:None) scsi, sd, None, SCSI Device
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(32902:10184:4136:472) pci, uhci_hcd, USB, 82801G (ICH7 Family) USB UHCI Controller #1
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device
		(32902:10200:4136:472) pci, HDA Intel, AUDIO, 82801G (ICH7 Family) High Definition Audio Controller
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter

	Filesystem Information
		device mtpt type bsize frsize blocks bfree bavail file ffree favail
		===================================================================
		/dev/mapper/live-rw / ext4 4096 4096 774084 252303 244439 196608 114943 114943
		/dev/sr0 WITHHELD iso9660 2048 2048 359239 0 0 0 0 0
		/dev/sdb2 WITHHELD ext3 4096 4096 16838316 12377800 11522440 4284416 4281774 4281774
		/dev/sda1 WITHHELD ext4 4096 4096 5162749 2043834 1781574 1313760 675050 675050
		/dev/sdb1 WITHHELD fuseblk 4096 4096 61034943 37803631 37803631 151247292 151247146 151247146

Comment 2 Bug Zapper 2009-11-16 11:26:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Richard Schwarting 2009-11-19 08:00:25 UTC
An HP Pavilion tx2500 does the same thing.  Instead of obeying policy on what to do when critically low, it just waits until it dies.

Comment 4 Paul van Gelder 2009-11-26 21:12:32 UTC
Same on Acer Aspire 5315 with broken/old battery.

System going suddenly down (not like #shutdown -h now).
After using a Fedora 12 live cd, I have to remove my battery before being able to boot my laptop.

Problem occurs with both the Fedora-12-i686-Live.iso and the Fedora-12-i686-Live-KDE.iso.

Changed all policies to performance on the KDE iso and still suddenly switching off. Didn't try to change policies with the Fedora-12-i686-Live.iso because of the boot problem that occurs after the sudden switch off.

Comment 5 Bug Zapper 2010-11-04 10:30:14 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:36:39 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.